# Interface ParserTreeConstants

All Known Implementing Classes:
  `Parser`

public interface ParserTreeConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`JJTALLOCATIONEXPRESSION`
`static final int`
`JJTAMBIGUOUSNAME`
`static final int`
`JJTARGUMENTS`
`static final int`
`JJTARRAYDIMENSIONS`
`static final int`
`JJTARRAYINITIALIZER`
`static final int`
`JJTASSIGNMENT`
`static final int`
`JJTBINARYEXPRESSION`
`static final int`
`JJTBLOCK`
`static final int`
`JJTCASTEXPRESSION`
`static final int`
`JJTCLASSDECLARATION`
`static final int`
`JJTENHANCEDFORSTATEMENT`
`static final int`
`JJTFORMALCOMMENT`
`static final int`
`JJTFORMALPARAMETER`
`static final int`
`JJTFORMALPARAMETERS`
`static final int`
`JJTFORSTATEMENT`
`static final int`
`JJTIFSTATEMENT`
`static final int`
`JJTIMPORTDECLARATION`
`static final int`
`JJTLITERAL`
`static final int`
`JJTMETHODDECLARATION`
`static final int`
`JJTMETHODINVOCATION`
`static final String[]`
`jjtNodeName`
`static final int`
`JJTPACKAGEDECLARATION`
`static final int`
`JJTPRIMARYEXPRESSION`
`static final int`
`JJTPRIMARYSUFFIX`
`static final int`
`JJTPRIMITIVETYPE`
`static final int`
`JJTRETURNSTATEMENT`
`static final int`
`JJTRETURNTYPE`
`static final int`
`JJTSTATEMENTEXPRESSIONLIST`
`static final int`
`JJTSWITCHLABEL`
`static final int`
`JJTSWITCHSTATEMENT`
`static final int`
`JJTTERNARYEXPRESSION`
`static final int`
`JJTTHROWSTATEMENT`
`static final int`
`JJTTRYSTATEMENT`
`static final int`
`JJTTYPE`
`static final int`
`JJTTYPEDVARIABLEDECLARATION`
`static final int`
`JJTUNARYEXPRESSION`
`static final int`
`JJTVARIABLEDECLARATOR`
`static final int`
`JJTVOID`
`static final int`
`JJTWHILESTATEMENT`

## Field Details

### JJTVOID

static final int JJTVOID

See Also:
  - Constant Field Values

### JJTCLASSDECLARATION

static final int JJTCLASSDECLARATION

See Also:
  - Constant Field Values

### JJTMETHODDECLARATION

static final int JJTMETHODDECLARATION

See Also:
  - Constant Field Values

### JJTPACKAGEDECLARATION

static final int JJTPACKAGEDECLARATION

See Also:
  - Constant Field Values

### JJTIMPORTDECLARATION

static final int JJTIMPORTDECLARATION

See Also:
  - Constant Field Values

### JJTVARIABLEDECLARATOR

static final int JJTVARIABLEDECLARATOR

See Also:
  - Constant Field Values

### JJTARRAYINITIALIZER

static final int JJTARRAYINITIALIZER

See Also:
  - Constant Field Values

### JJTFORMALPARAMETERS

static final int JJTFORMALPARAMETERS

See Also:
  - Constant Field Values

### JJTFORMALPARAMETER

static final int JJTFORMALPARAMETER

See Also:
  - Constant Field Values

### JJTTYPE

static final int JJTTYPE

See Also:
  - Constant Field Values

### JJTRETURNTYPE

static final int JJTRETURNTYPE

See Also:
  - Constant Field Values

### JJTPRIMITIVETYPE

static final int JJTPRIMITIVETYPE

See Also:
  - Constant Field Values

### JJTAMBIGUOUSNAME

static final int JJTAMBIGUOUSNAME

See Also:
  - Constant Field Values

### JJTASSIGNMENT

static final int JJTASSIGNMENT

See Also:
  - Constant Field Values

### JJTTERNARYEXPRESSION

static final int JJTTERNARYEXPRESSION

See Also:
  - Constant Field Values

### JJTBINARYEXPRESSION

static final int JJTBINARYEXPRESSION

See Also:
  - Constant Field Values

### JJTUNARYEXPRESSION

static final int JJTUNARYEXPRESSION

See Also:
  - Constant Field Values

### JJTCASTEXPRESSION

static final int JJTCASTEXPRESSION

See Also:
  - Constant Field Values

### JJTPRIMARYEXPRESSION

static final int JJTPRIMARYEXPRESSION

See Also:
  - Constant Field Values

### JJTMETHODINVOCATION

static final int JJTMETHODINVOCATION

See Also:
  - Constant Field Values

### JJTPRIMARYSUFFIX

static final int JJTPRIMARYSUFFIX

See Also:
  - Constant Field Values

### JJTLITERAL

static final int JJTLITERAL

See Also:
  - Constant Field Values

### JJTARGUMENTS

static final int JJTARGUMENTS

See Also:
  - Constant Field Values

### JJTALLOCATIONEXPRESSION

static final int JJTALLOCATIONEXPRESSION

See Also:
  - Constant Field Values

### JJTARRAYDIMENSIONS

static final int JJTARRAYDIMENSIONS

See Also:
  - Constant Field Values

### JJTBLOCK

static final int JJTBLOCK

See Also:
  - Constant Field Values

### JJTFORMALCOMMENT

static final int JJTFORMALCOMMENT

See Also:
  - Constant Field Values

### JJTSWITCHSTATEMENT

static final int JJTSWITCHSTATEMENT

See Also:
  - Constant Field Values

### JJTSWITCHLABEL

static final int JJTSWITCHLABEL

See Also:
  - Constant Field Values

### JJTIFSTATEMENT

static final int JJTIFSTATEMENT

See Also:
  - Constant Field Values

### JJTWHILESTATEMENT

static final int JJTWHILESTATEMENT

See Also:
  - Constant Field Values

### JJTFORSTATEMENT

static final int JJTFORSTATEMENT

See Also:
  - Constant Field Values

### JJTENHANCEDFORSTATEMENT

static final int JJTENHANCEDFORSTATEMENT

See Also:
  - Constant Field Values

### JJTTYPEDVARIABLEDECLARATION

static final int JJTTYPEDVARIABLEDECLARATION

See Also:
  - Constant Field Values

### JJTSTATEMENTEXPRESSIONLIST

static final int JJTSTATEMENTEXPRESSIONLIST

See Also:
  - Constant Field Values

### JJTRETURNSTATEMENT

static final int JJTRETURNSTATEMENT

See Also:
  - Constant Field Values

### JJTTHROWSTATEMENT

static final int JJTTHROWSTATEMENT

See Also:
  - Constant Field Values

### JJTTRYSTATEMENT

static final int JJTTRYSTATEMENT

See Also:
  - Constant Field Values

### jjtNodeName

static final String[] jjtNodeName